.mt-72 {
  margin-top: 72px;
}
.pl-32 {
  padding-left: 8rem;
}
@media (min-width: 768px) {
  .sm\:pl-32 {
    padding-left: 8rem !important;
  }
  .sm\:pl-64 {
    padding-left: 16rem !important;
  }
}
.solution-header {
  padding: 24px 0 34px;
}
.normal {
  line-height: normal;
}

.text-gray {
  color: gray;
}

.solution-section {
  /* height: calc(100vh - 69px); */
  height: 100vh;
}

/* .solution-sub {
  border-left: 2px solid aliceblue;
  padding-bottom: calc(100vh - 470px);
} */

.gradient-left-border {
  position: relative;
  padding-left: 12px; /* space for the border */
}

.gradient-left-border::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 2px; /* border thickness */
  height: calc(100vh - 372px);
  background: linear-gradient(to bottom, #96b5d8, #887d7d); /* your gradient */
  border-radius: 2px;
}

.product-section {
  display: flex;
  justify-content: center;
  gap: 37px;
}

@media (max-width: 640px) {
  .product-section {
    flex-direction: column;
  }
}
.product-section .product {
  /* width: 500px; */
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.5);
}

.product-subLabel-info,
.more-details-btn {
  opacity: 0;
}
.product:hover {
  box-shadow: 0px 0 12px 3px #5fb4dd;
  /* transition: opacity 0.5s ease, transform 0.5s ease; */
}
.product:hover .product-label-info {
  transform: translateY(-91px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.product:hover .product-subLabel-info,
.product:hover .more-details-btn {
  opacity: 1;
  transition: opacity 0.4s ease, transform 0.4s ease;
}
.product-label-info {
  bottom: 0;
}
.product-info a {
  transition: 0.3s;
  cursor: pointer;
  width: fit-content;
}

.product-info a:hover {
  color: #6ec1e4;
}

.product-section {
  /* margin-bottom: 67px; */
}

.product-info {
  bottom: 20px;
  left: 32px;
}

.image-hover-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(to bottom, transparent, #252525);
  opacity: 0;
  transition: opacity 0.5s ease;
  pointer-events: none;
}

.product:hover .image-hover-overlay {
  opacity: 0.7;
}

.devices:hover {
  box-shadow: 0px 0 16px 0px #ffffff !important;
}

/* ................. */
.carousel-container {
  position: relative;
  width: 100%;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
  width: 100%;
  justify-content: center;
}

.carousel-item {
  min-width: 30%;
  margin: 0 1rem;
  box-sizing: border-box;
  text-align: center;

  .caption-sub {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transform: translateY(10px);
    transition: opacity 0.5s ease, transform 0.5s ease;
  }

  &:hover {
    box-shadow: 0 0 20px 4px #37a1d4;
    .caption-sub {
      opacity: 1;
      max-height: fit-content;
      transform: translateY(0);
      visibility: visible;
    }
  }
}

.carousel-item img {
  display: block;
  width: 100%;
  height: auto;
}

.nav-dots {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  gap: 10px;
}

.next-button {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  background-color: #00ffff;
  color: black;
  border: none;
  padding: 10px 15px;
  font-size: 24px;
  cursor: pointer;
  border-radius: 8px;
}

.text-left {
  text-align: left;
}

.carousel-item.active {
  z-index: 10;
}

.captionCont {
  bottom: 25px;
  left: 25px;
}

.dot {
  height: 18px;
  width: 18px;
  border: 2px solid white;
  margin: 0 6px;
  background-color: transparent;
  border-radius: 50%;
  display: inline-block;
  cursor: pointer;
  transition: all 0.3s ease;
}
.dot.active {
  width: 50px;
  height: 18px;
  background-color: white;
  border-radius: 20px;
  border: none;
}

.indus_solution {
  max-width: 50%;
}

@media (max-width: 768px) {
  .indus_solution {
    max-width: 100% !important;
  }
  .carousel-track { 
    flex-direction: column;
    gap: 40px;
    align-items: center;
  }
  .carousel-item {
    max-width: 400px;
  }
  .nav-dots {
    margin-top: 40px;
  }
  .gradient-left-border::before { 
    content: none;
  }
}